org.apache.ignite.internal.processors.igfs

## Class IgfsDeleteWorker

- java.lang.Object
- - java.lang.Thread
  - - org.apache.ignite.internal.processors.igfs.IgfsThread
    - - org.apache.ignite.internal.processors.igfs.IgfsDeleteWorker

All Implemented Interfaces:
  Runnable

    public class IgfsDeleteWorker
    extends IgfsThread

IGFS worker for removal from the trash directory.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `body()` Thread body.

### Methods inherited from class org.apache.ignite.internal.processors.igfs.IgfsThread

`cleanup, run`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### body

    protected void body()
                 throws InterruptedException

Thread body.

Specified by:
  `body` in class `IgfsThread`
Throws:
  `InterruptedException` - If interrupted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020